.results2024{
    font-family: "Open Sans", sans-serif;
}

/* Общий стиль для кнопок */

button {
  padding: 0;
  border: none;
  font: inherit;
  color: inherit;
  background-color: transparent;
  /* отображаем курсор в виде руки при наведении; некоторые
  считают, что необходимо оставлять стрелочный вид для кнопок */
  cursor: pointer;
}
#egeBtn{
    background: black;
    border-radius: 42px 0px 0px 42px;
    color: white;
}
#subjectSelect{
    width: 100%;
}
#yearSelect{
    width: 45%;
}
.results2024 button {
  padding: 8px 16px;
  font-size: 16px;
  cursor: pointer;
    height: 47px;
    position: relative;
    z-index: 1000;
}

/* Стили для секции результатов */
.results-section {
  margin: 20px;
}

/* Стили для кнопок */
.results2024 .buttons {
    margin-bottom: 10px;
    display: flex;
    box-sizing: border-box;
    border: 1px solid rgb(24, 24, 24);
    border-radius: 42px;
    width: 130px;
}

/* Стили для селектов */
.filters select {
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    position: relative;
    height: 40px;
    padding: 0px 20px 0px 20px;
    box-sizing: border-box;
    border: 1px solid rgb(24, 24, 24);
    border-radius: 42px;
    -webkit-appearance: none;
    background-image: url('../img/img2024/select_ios.svg'); /* Путь к изображению стрелки */
    background-repeat: no-repeat;
    background-position: 90% center;
}
.filters select::after{
    content: ''; /* Обязательное свойство для псевдоэлемента */
    position: absolute;
    top: 50%;
    right: 5px; /* Позиционируем относительно правого края */
    transform: translateY(-50%);
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid #000; /* Цвет стрелки */
    pointer-events: none; /* Стрелка не должна быть интерактивной */
}
/* Стили для пагинации */
.results2024 .pagination {
  margin-top: 10px;
}

.filters{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    max-width: 355px;
    margin: 0 auto;
    margin-bottom: 25px;
}

/*
.student_balls_initial .student_balls_text{
    position: relative;
    display: flex;
    align-items: center;
    white-space: nowrap;
}
.student_balls_text:after{
    content: '';
    height: 10px;
    width: 100%;
    background-image: radial-gradient(#ebebeb 40%, transparent 50%);
    background-size: 10px 10px;
    background-repeat: repeat-x;
    background-position: 0 center;
    display: block;
    margin-left: 10px;
}
*/

.student_balls_content {
    position: relative;
    display: flex;
    justify-content: space-between;
}

.dotted-line {
  position: absolute;
  width: 100%;
  height: 1px;
  border-bottom: 2px dotted #cfcfcf;
  top: 58%;
}

.dott-block {
  position: relative;
  z-index: 1;
  background-color: white; /* Цвет фона, чтобы линия не перекрывала текст */
}
.student_balls_content.growth .student_balls_number{
    position: relative;
    color: #00A424;
}
.student_balls_content.growth .student_balls_number:before{
    position: absolute;
    content: "";
    /* background: url(../img/img2024/prirost.svg) center center no-repeat; */
    left: -6px;
    top: 0px;
}
.student_balls_content.growth .student_balls_number:before{
    content: "+";
}
.student_balls_content.growth .dotted-line{
    width: 92%;
}

.student_item{
    margin-bottom: 28px;
}
.student_name{
    font-family: "Open Sans", sans-serif;
    font-size: 18px;
    font-weight: 600;
    line-height: 150%;
    margin-bottom: 10px;
    color: black;
}
.student_balls_text{
    font-size: 14px;
    font-weight: 400;
    padding-right: 5px;
}
.student_balls_number{
    font-size: 14px;
    font-weight: 700;
    padding-left: 5px;
}
.student_balls_content{
    margin-bottom: 8px;
}
/*//////////////////////////////*/

.pagination{
    display: flex;
    justify-content: space-between;
}
.pagination button{
    box-sizing: border-box;
    border-radius: 12px;
    background: black;
    padding: 12px 20px 12px 20px;
    color: white;
}
.history_info_item{
    border-radius: 8px;
    background: rgb(249, 249, 249);
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
    width: 45%;
    padding: 8px;
}
.history_img{
    width: 65%;
}
.history_info{
    display: flex;
    justify-content: space-between;
    max-width: 400px;
    margin: 0 auto;
    flex-wrap: wrap;
}
.history_info_item_number{
    font-size: 16px;
    font-weight: 600;
}
.history_info_item.univer{
    width: 100%;
    padding: 22px 18px;
    margin-top: 15px;
    align-items: center;
}
.history_info_item_text{
    font-size: 16px;
    font-weight: 600;
    line-height: 150%;
}
.history_student{
    margin: 30px auto;
    max-width: 400px;
}
.history_student_photo{
    margin-bottom: 12px;
}
.history_student_univer{
    display: inline-block;
    border-radius: 8px;
    background: linear-gradient(180.00deg, rgb(72, 190, 250),rgb(99, 133, 252) 100%);
    margin-bottom: 12px;
    padding: 6px 10px;
    color: white;
    font-size: 12px;
    font-weight: 400;
    line-height: 150%;
}

.history_student_name{
    font-size: 18px;
    font-weight: 600;
    line-height: 150%;
    margin-bottom: 4px;
}

.history_student_ex1, .history_student_ex2{
    font-size: 14px;
    font-weight: 600;
    line-height: 150%;
    margin-bottom: 6px;
}
.history_student_ex1 span, .history_student_ex2 span{
    font-size: 14px;
    font-weight: 400;
    color: rgb(124, 124, 124);
}
.history_student_show_all{
    display: inline-block;
    color: rgba(77, 182, 251, 1);
    font-size: 14px;
    font-weight: 600;
    line-height: 150%;
    margin-top: 12px;
}
.history_info_item.univer .history_img{
    width: 40%;
}
.metro{
    margin-bottom: 50px;
}
.metro button{
    background: white;
    color: black;
    width: 50%;
}
.metro button.active {
    background-color: black!important;
    color: white;
}

.metro .content {
  display: none;
}

.metro .content.active {
  display: block;
}
.metro_buttons{
    display: flex;
    max-width: 180px;
    margin: 20px auto;
    box-sizing: border-box;
    border: none;
}
#listBtn{
    box-sizing: border-box;
    border: 1px solid rgb(24, 24, 24);
    border-radius: 42px 0px 0px 42px;
    padding: 10px 15px;
}
.metro{
    overflow: hidden;
}
#mapBtn{
    box-sizing: border-box;
    border: 1px solid rgb(24, 24, 24);
    border-radius: 0px 42px 42px 0px;
    background: white;
    padding: 10px 15px;
}
.metro_item{
    box-sizing: border-box;
    border-bottom: 1px solid rgb(234, 234, 234);
    padding: 12px 16px 12px 16px;
}
.metro_name{
    font-size: 18px;
    font-weight: 600;
    line-height: 150%;
    margin-bottom: 4px;
}
.metro_adress{
    font-size: 14px;
    font-weight: 600;
    line-height: 150%;
    margin-bottom: 4px;
}
.metro button.metro_item{
    width: 100%;
    text-align: left;
    cursor: pointer;
}
.metro button.metro_item:hover{
    background: rgba(241, 241, 241, 1);
}
#map {
    width: 100%;
    height: 580px;
    border-radius: 24px;
    overflow: hidden;
}
.spany{
    opacity: 0;
}


@media (min-width: 768px){
    .spany{
        opacity: 1;
        max-width: 480px;
        margin-left: auto;
        margin-right: 15px;
        display: flex;
        justify-content: space-between;
        margin-bottom: 20px;
    }
    .results .swiper-wrapper{
        padding-top: 20px!important;
        padding-right: 20px!important;
    }
    .filters{
        max-width: 520px;
        margin: 0;
        flex-wrap: nowrap;
        margin-bottom: 50px;
    }
    #subjectSelect{
        width: 40%;
    }
    #yearSelect{
        width: 25%;
    }
    .student_balls_text, .dotted-line{
        display: none;
    }
    .student_balls_content{
        display: block;
    }
    .student_item{
        display: flex;
        align-items: center;
        justify-content: space-between;
        box-sizing: border-box;
        border-bottom: 1px solid rgb(228, 228, 228);
        padding-bottom: 16px;
        width: 96%;
        color: #747474;
        font-size: 20px;
        line-height: 30px;
    }
    .student_balls{
        width: 30%;
        display: flex;
        justify-content: space-between;
    }
    .student_name{
        font-size: 20px;
        font-weight: 400;
        margin-bottom: 0;
    }
    .student_balls_number{
        font-size: 20px;
        font-weight: 400;
        color: black;
    }
    .student_balls_number.nachalny{
        width: 30px;
        text-align: center;
    }
    .student_balls_content.growth .student_balls_number{
        font-weight: 700;
    }
    .filters select, .results2024 button{
        font-size: 20px;
        font-weight: 400;
        border-radius: 12px;
        height: 54px;
    }
    .results2024 .buttons{
        width: 138px;
        justify-content: center;
        border-radius: 12px;
    }
    #egeBtn{
        border-radius: 12px 0px 0px 12px;
    }
    #examType{
        width: 25%;
    }
/*//////////////////////////////////*/

    .history_info{
        max-width: none;
    }
    .history_info_item{
        width: 24%;
        align-items: baseline;
    }
    .history_info_item.univer{
        width: 49%;
    }
    .history_info_item_number{
        font-size: 34px;
        font-weight: 600;
        line-height: 46px;
    }
    .history_info_item{
        padding: 22px;
    }
    .history_info_item_text{
        font-size: 22px;
        font-weight: 700;
        line-height: 26px;
    }
    .history_info_item.univer{
        margin: 0;
        padding: 22px;
    }
    .history_info_item.univer .history_img{
        width: 24%;
    }
    .history_student_inner{
        display: flex;
        align-items: baseline;
        justify-content: space-between;
        margin-top: 30px;
    }
    .history_student{
        position: relative;
        margin: 0;
        border-radius: 16px;
        padding: 20px;
        padding-bottom: 30px;
        background: rgb(249, 249, 249);
        width: 49%;
        max-width: none;
        display: flex;
        align-items: flex-start;
        justify-content: space-between;
    }
    .history_student_name{
        font-size: 22px;
        font-weight: 700;
        line-height: 24px;
        margin-bottom: 8px;
    }
    .history_student_ex1, .history_student_ex2{
        font-size: 16px;
        font-weight: 600;
        line-height: 20px;
        margin-bottom: 8px;
    }
    .history_student_ex1 span, .history_student_ex2 span{
        font-size: 16px;
        font-weight: 400;
        line-height: 20px;
    }
    .history_student_review{
        margin-top: 20px;
        font-size: 16px;
        font-weight: 400;
        line-height: 24px;
    }
    .history_student_show_all{
        font-size: 16px;
        font-weight: 600;
        line-height: 20px;
    }
    .student_content{
        width: 80%;
    }
    .history_student_photo{
        width: 16%;
    }
    .history_student_univer{
        position: absolute;
        top: 20px;
        right: 20px;
    }
    .metro_inner{
        display: flex;
        justify-content: space-between;
    }
    #listContent{
        width: 30%;
        border-radius: 16px;
        box-shadow: 0px 0px 32px 0px rgba(101, 101, 101, 0.09);
        background: rgb(255, 255, 255);
        height: 500px;
        overflow-y: scroll;
    }
    .metro{
        margin-bottom: 100px;
    }
    .metro_item{
        padding: 16px 24px 24px 24px;
    }
    .metro .content{
        display: block;
    }
    #mapContent{
        width: 67%;
    }
    #mapContent iframe{
        border-radius: 24px;
    }
    .metro_buttons{
        display: none;
    }
    #map {
            width: 68%;
            height: 580px;
        border-radius: 16px;
        }
    .student_balls_content.growth .student_balls_number:before{
        position: absolute;
        content: "";
        background: url(../img/img2024/prirost.svg) center center no-repeat;
        width: 13px;
        height: 19px;
        left: -15px;
        top: 5px;
    }
    /* Убираем стандартные полосы прокрутки */
::-webkit-scrollbar {
    width: 6px; /* Ширина полосы прокрутки */
    height: 6px; /* Высота полосы прокрутки */
}

/* Стилизуем полосы прокрутки */
::-webkit-scrollbar-thumb {
    background-color: #D9D9D9; /* Серый цвет полосы прокрутки */
    border-radius: 4px; /* Скругление углов */
}

}


@media (max-width: 768px){
    #subjectSelect{
        margin-top: 10px;
    }
    #examType{
        width: 45%;
    }
}
